Bruce Pascal - 2007-07-30

Hello,

I recently needed to upgrade Jfreechart to try to get error bars into my XY graphs (new classes such as
XYErrorRenderer). The new JFreechart library now requires Comparable Objects for its constructors.

This no longer works:

public Object produceDataset(Map params) throws DatasetProduceException
    {
        String series = "Co-Added";
        XYSeries xys = new XYSeries(series);

Without sounding too silly, does anyone know how to get around this? or how to produce XY graphs with Error bars?

Thanks very much for anyone's help...

Bruce